## GtkPlotPolar

GtkPlotPolar

## Synopsis

    #include <gtkextra.h>

                        GtkPlotPolar;
    GtkWidget*          gtk_plot_polar_new                  (GdkDrawable *drawable);
    GtkWidget*          gtk_plot_polar_new_with_size        (GdkDrawable *drawable,
                                                             gdouble width,
                                                             gdouble height);
    void                gtk_plot_polar_construct            (GtkPlotPolar *plot,
                                                             GdkDrawable *drawable);
    void                gtk_plot_polar_construct_with_size  (GtkPlotPolar *plot,
                                                             GdkDrawable *drawable,
                                                             gdouble width,
                                                             gdouble height);
    void                gtk_plot_polar_rotate               (GtkPlotPolar *plot,
                                                             gdouble angle);
    gdouble             gtk_plot_polar_get_angle            (GtkPlotPolar *plot);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkMisc
                               +----GtkPlot
                                     +----GtkPlotPolar

## Implemented Interfaces

GtkPlotPolar implements AtkImplementorIface and GtkBuildable.

## Properties

      "rotation"                 gdouble               : Read / Write

## Description

FIXME:: Need long description.

## Details

### GtkPlotPolar

    typedef struct _GtkPlotPolar GtkPlotPolar;

The GtkPlotPolar struct contains only private data. It should only be accessed through the functions described below.

### gtk_plot_polar_new ()

    GtkWidget*          gtk_plot_polar_new                  (GdkDrawable *drawable);

`drawable` : |
Returns : |

### gtk_plot_polar_new_with_size ()

    GtkWidget*          gtk_plot_polar_new_with_size        (GdkDrawable *drawable,
                                                             gdouble width,
                                                             gdouble height);

`drawable` : |
`width` : |
`height` : |
Returns : |

### gtk_plot_polar_construct ()

    void                gtk_plot_polar_construct            (GtkPlotPolar *plot,
                                                             GdkDrawable *drawable);

`plot` : | a GtkPlotPolar widget.
`drawable` : |

### gtk_plot_polar_construct_with_size ()

    void                gtk_plot_polar_construct_with_size  (GtkPlotPolar *plot,
                                                             GdkDrawable *drawable,
                                                             gdouble width,
                                                             gdouble height);

`plot` : | a GtkPlotPolar widget.
`drawable` : |
`width` : |
`height` : |

### gtk_plot_polar_rotate ()

    void                gtk_plot_polar_rotate               (GtkPlotPolar *plot,
                                                             gdouble angle);

`plot` : | a GtkPlotPolar widget.
`angle` : |

### gtk_plot_polar_get_angle ()

    gdouble             gtk_plot_polar_get_angle            (GtkPlotPolar *plot);

`plot` : | a GtkPlotPolar widget.
Returns : |

## Property Details

### The `"rotation"` property

      "rotation"                 gdouble               : Read / Write

Default value: 0